For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
Logo
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • POSTCreate
        • GETGet
        • PUTUpdate
        • DELDelete
        • GETPlaid Link token
        • GETCard Link token
        • GETGet Events
          • POSTInitiate micro deposits
          • PUTVerify micro deposits
Sign inBook a demo
API ReferenceEntityPayment MethodBank Account

Initiate micro deposits

POST
https://api.mercoa.com/entity/:entityId/paymentMethod/:paymentMethodId/micro-deposits
POST
/entity/:entityId/paymentMethod/:paymentMethodId/micro-deposits
$curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod/pm_4794d597-70dc-4fec-b6ec-c5988e759769/micro-deposits \
> -H "Authorization: Bearer <token>"
1{
2 "type": "bankAccount",
3 "accountName": "My Checking Account",
4 "accountNumber": "99988767623",
5 "accountType": "CHECKING",
6 "bankName": "Chase",
7 "createdAt": "2021-01-01T00:00:00Z",
8 "frozen": false,
9 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
10 "isDefaultDestination": true,
11 "isDefaultSource": true,
12 "metadata": {},
13 "routingNumber": "12345678",
14 "status": "VERIFIED",
15 "supportedCurrencies": [
16 "USD"
17 ],
18 "updatedAt": "2021-01-01T00:00:00Z",
19 "confirmedByEntity": true
20}
Initiate micro deposits for a bank account
Was this page helpful?
Previous

Verify micro deposits

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
paymentMethodIdstringRequired
Payment Method ID or Payment Method ForeignID

Response

This endpoint returns an object.
bankAccountobject
OR
cardobject
OR
checkobject
OR
customobject
OR
offPlatformobject
OR
utilityobject
OR
walletobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented